org.eclipse.graphiti.internal.pref

## Class GFPreferences

- java.lang.Object
- - org.eclipse.graphiti.internal.pref.GFPreferences

    public class GFPreferences
    extends Object

### Field Summary

Fields
`static String` `CONTEXT_BUTTON_PAD_DECLARATION`
`static String` `CPU_PROFILING_TRACE_ACTIVE`
`static String` `DEBUG__LEVEL_TRACING_ACTIVE`
`static String` `DEBUG_ACTIONS_ACTIVE`
`static String` `GENERIC_OUTLINE_ACTIVE`
`static String` `GENERIC_PROPERTY_SHEET_ACTIVE`
`static String` `INFO_LEVEL_TRACING_ACTIVE`
`static String` `INVISIBLE_RECTANGLES_SHOWN`
`static String` `POLYLINE_ROUNDING`
`static String` `PROGRESS_DIALOG_ACTIVE`
`static String` `RECURSIVE_CHECK_FOR_UPDATE_ACTIVE`
`static String` `VISUAL_STATE_RENDERING`
`static String` `ZOOM_ANIMATION_STEPS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `areDebugActionsActive()`
`boolean` `areInvisibleRectanglesShown()`
`int` `getContextButtonPadDeclaration()`
`static GFPreferences` `getInstance()`
`int` `getPolylineRounding()`
`int` `getVisualStateRendering()`
`int` `getZoomAnimationSteps()`
`boolean` `isCPUProfilingTraceActive()`
`boolean` `isDebugLevelTracingActive()`
`boolean` `isGenericOutlineActive()`
`boolean` `isGenericPropertySheetActive()`
`boolean` `isInfoLevelTracingActive()`
`boolean` `isProgressDialogActive()`
`boolean` `isRecursiveCheckForUpdateActive()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CPU_PROFILING_TRACE_ACTIVE

    public static final String CPU_PROFILING_TRACE_ACTIVE

See Also:
  Constant Field Values

#### RECURSIVE_CHECK_FOR_UPDATE_ACTIVE

    public static final String RECURSIVE_CHECK_FOR_UPDATE_ACTIVE

See Also:
  Constant Field Values

#### INVISIBLE_RECTANGLES_SHOWN

    public static final String INVISIBLE_RECTANGLES_SHOWN

See Also:
  Constant Field Values

#### VISUAL_STATE_RENDERING

    public static final String VISUAL_STATE_RENDERING

See Also:
  Constant Field Values

#### PROGRESS_DIALOG_ACTIVE

    public static final String PROGRESS_DIALOG_ACTIVE

See Also:
  Constant Field Values

#### CONTEXT_BUTTON_PAD_DECLARATION

    public static final String CONTEXT_BUTTON_PAD_DECLARATION

See Also:
  Constant Field Values

#### ZOOM_ANIMATION_STEPS

    public static final String ZOOM_ANIMATION_STEPS

See Also:
  Constant Field Values

#### DEBUG_ACTIONS_ACTIVE

    public static final String DEBUG_ACTIONS_ACTIVE

See Also:
  Constant Field Values

#### GENERIC_PROPERTY_SHEET_ACTIVE

    public static final String GENERIC_PROPERTY_SHEET_ACTIVE

See Also:
  Constant Field Values

#### GENERIC_OUTLINE_ACTIVE

    public static final String GENERIC_OUTLINE_ACTIVE

See Also:
  Constant Field Values

#### POLYLINE_ROUNDING

    public static final String POLYLINE_ROUNDING

See Also:
  Constant Field Values

#### INFO_LEVEL_TRACING_ACTIVE

    public static final String INFO_LEVEL_TRACING_ACTIVE

See Also:
  Constant Field Values

#### DEBUG__LEVEL_TRACING_ACTIVE

    public static final String DEBUG__LEVEL_TRACING_ACTIVE

See Also:
  Constant Field Values

### Method Detail

#### getInstance

    public static GFPreferences getInstance()

#### areDebugActionsActive

    public boolean areDebugActionsActive()

#### areInvisibleRectanglesShown

    public boolean areInvisibleRectanglesShown()

#### getContextButtonPadDeclaration

    public int getContextButtonPadDeclaration()

#### getPolylineRounding

    public int getPolylineRounding()

#### getVisualStateRendering

    public int getVisualStateRendering()

#### getZoomAnimationSteps

    public int getZoomAnimationSteps()

#### isCPUProfilingTraceActive

    public boolean isCPUProfilingTraceActive()

#### isGenericOutlineActive

    public boolean isGenericOutlineActive()

#### isGenericPropertySheetActive

    public boolean isGenericPropertySheetActive()

#### isProgressDialogActive

    public boolean isProgressDialogActive()

#### isRecursiveCheckForUpdateActive

    public boolean isRecursiveCheckForUpdateActive()

#### isInfoLevelTracingActive

    public boolean isInfoLevelTracingActive()

#### isDebugLevelTracingActive

    public boolean isDebugLevelTracingActive()